Loading...
Searching...
No Matches
bsoncxx::v_noabi::array::view::const_iterator Class Reference

`#include <bsoncxx/v_noabi/bsoncxx/array/view.hpp>`

## Description

A const iterator over the contents of an array view.

This iterator type provides a const forward iterator interface to array view elements.

## Public Types

using | value_type = element
| std::iterator_traits

## Related Symbols

(Note that these are not member symbols.)
bool | operator== (const_iterator const &lhs, const_iterator const &rhs)
| Compare two const_iterators for (in)-equality.
bool | operator!= (const_iterator const &lhs, const_iterator const &rhs)
| Compare two const_iterators for (in)-equality.

## Member Typedef Documentation

## value_type

using bsoncxx::v_noabi::array::view::const_iterator::value_type = element

std::iterator_traits

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const_iterator const & | lhs,
|  | const_iterator const & | rhs )

friend

Compare two const_iterators for (in)-equality.

## operator==

bool operator== | ( | const_iterator const & | lhs,
|  | const_iterator const & | rhs )

friend

Compare two const_iterators for (in)-equality.

The documentation for this class was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/array/view.hpp